Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class MethodClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.MethodClosure

    public class MethodClosure
    extends Closure

Represents a method on an object using a closure which can be invoked at any time

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class Closure
DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, SKIP, TO_SELF, maximumNumberOfParameters, parameterTypes

Constructor Summary
`MethodClosure(java.lang.Object owner, java.lang.String method)`

Method Summary
`protected java.lang.Object` | `doCall(java.lang.Object arguments)`
`java.lang.String` | `getMethod()`
`java.lang.Object` | `getProperty(java.lang.String property)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MethodClosure

    public MethodClosure(java.lang.Object owner, java.lang.String method)

Method Detail

### doCall

    protected java.lang.Object doCall(java.lang.Object arguments)

### getMethod

    public java.lang.String getMethod()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Groovy Documentation